当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 4 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : 编译skyeye是的怪问题!!
帖子发表于 : 2007-08-20 9:25 

注册: 2006-10-31 12:19
帖子: 7
送出感谢: 0 次
接收感谢: 0 次
我在编译skyeye 时,出现了个怪问题。找了很久都没能找到答案。
好像是compiler 的错误。但是我编译其他的程序就没有问题。
请大虾们帮帮忙

错误提示如下:
Checking whether host is big endian ... no
Checking gcc ... OK ( gcc version: 4.1.2 )
Checking whether the compiler supports x86 asm ... FAILED

*** It seems that the compiler don't support inline x86 AT&T ASM codes.
*** Run "make NO_DBCT=1" instead to ignore it.

make: *** [check] 错误 1


页首
 用户资料  
 
2 楼 
 文章标题 :
帖子发表于 : 2007-08-20 9:38 
头像

注册: 2007-04-28 21:38
帖子: 1026
送出感谢: 0 次
接收感谢: 0 次
引用:
*** It seems that the compiler don't support inline x86 AT&T ASM codes.
*** Run "make NO_DBCT=1" instead to ignore it.
.
照做试一下。。


_________________
thinkpad x61 2G DDR no cdrom
--------------------------------------------
ABS学习中
sed学习中
awk学习中
perl学习中
新手描述不清,老手猜测不到,胡乱指挥一通,后果难以预料


页首
 用户资料  
 
3 楼 
 文章标题 :
帖子发表于 : 2007-08-20 23:16 

注册: 2007-07-02 21:48
帖子: 16
送出感谢: 0 次
接收感谢: 0 次
4 required packages:
4.1 on Linux
- If you don't run "make NO_BFD=1" to compile SkyEye:
binutils-dev(bfd)
- LCD simulation by GTK+ implementation required:
gtk+-2.0-dev pkg-config atk-dev pango-dev freetype2-dev glib-dev x11-dev


看readme,安装一下必要的包!


页首
 用户资料  
 
4 楼 
 文章标题 :
帖子发表于 : 2008-05-30 18:44 

注册: 2008-05-07 17:22
帖子: 13
送出感谢: 0 次
接收感谢: 0 次
我也遇到同样的问题,看了README里写的必要的包,binutils-dev我已经安装了,而且是最新的,下面的包只有pkg-config提示已经是最新的,其他的都提示无法找到软件包。
我是ubuntu8.04,请前辈们帮忙啊


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 4 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 3 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译